Amazon DynamoDB Persistence binding not in the Addons download


(Saleem Banatwala) #1

I was working through the instructions for setting up the Amazon DynamoDB persistence service and when I got to the point of adding the binding to the Addons folder in my Openhab installation I notice that the DynamoDB .jar isn’t in the Addons download from openhab.org. Has it been discontinued?


(Ssalonen) #2

So for reviving this old topic, but it might help someone

I think DynamoDB persistence addon has not “completed validation”:

From Persistence documentation:

Some openHAB 1 persistence services have not yet completed validation for inclusion in the distribution; however, they may indeed work properly under openHAB 2. All openHAB 1 add-ons can be downloaded in a zip file. We need your help testing them so that they may be easily installed in a future distribution. Please see the compatibility layer documentation and also search the openHAB community forum for the latest information and steps for manual installation.

Here’s direct link to zip file discussed above:

https://bintray.com/openhab/mvn/download_file?file_path=org%2Fopenhab%2Fdistro%2Fopenhab%2F1.9.0%2Fopenhab-1.9.0-addons.zip

Please have a try if you find any issues. As a maintainer and creator of the addon, I’m very happy to help.

P.S. I’m planning to update DynamoDB in the coming months, to make it work without backwards compatibility layer. I haven’t tried to use the persistence addon with openHAB2 but I think it might work straight out of the box.


New Amazon DynamoDB persistence addon (alpha/experimental!)
(Ssalonen) #3

Update : The dynamodb now has the changes needed for openHAB2 inclusion (1). After next release there should be no need to install the addon manually.
(1) https://github.com/openhab/openhab1-addons/pull/5635